Subject: bug#67533: SVG images confound position pixel measurements

From: JD Smith <[email-masked]>
Date: Fri, 1 Dec 2023 17:04:59 -0500

> On Dec 1, 2023, at 2:08 AM, Eli Zaretskii <[email-masked]> wrote:
> 
> Thanks, but I need recipes I could reproduce on my system, and
> reproduce relatively easily.  

Please find a stand-alone reproduction code which can separately test both text-property and overlay inline SVGs at this gist <https://gist.github.com/jdtsmith/ad765047a6afe20f353de573d8c07da9>.  See the header for instructions.  

You should get many reported errors in which the size above is larger than expected, but as you narrow your frame and re-run the check, you’ll eventually find some images reporting 0 height above.  Interestingly, for the same frame width, overlays produce some of the same but overall fewer errors than text-properties, using precisely the same images for ‘display.

The report also reveals that the posn-x-y of the mis-reporting images is usually wrong, which is at least partially responsible for incorrect pixel position measurements.  

The one bug in my original org file I haven’t been able to reproduce is random text characters (usually on a line with a bad image) misreporting pixel measurements.  But I could certainly imagine how in more complex files this could get out of sync. 

BTW, I haven’t tested it, but I do not think this misbehavior is specific to SVG images.